xcb_input_device_state_notify_event_t Struct Reference
XCB Input API

xcb_input_device_state_notify_event_t More...

`#include <xinput.h>`

## Data Fields

uint8_t | response_type
uint8_t | device_id
uint16_t | sequence
xcb_timestamp_t | time
uint8_t | num_keys
uint8_t | num_buttons
uint8_t | num_valuators
uint8_t | classes_reported
uint8_t | buttons [4]
uint8_t | keys [4]
uint32_t | valuators [3]

## Detailed Description

xcb_input_device_state_notify_event_t

The documentation for this struct was generated from the following file:

- xinput.h